<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<RequestMonitorGadget.Models.RequestModel>" %>
<%@ Import Namespace="EPiServer.Core" %>
<%@ Import Namespace="EPiServer.Shell.Extensions" %>

<%Html.BeginGadgetForm("Index"); %>
<div class="epi-smallPaddingHorizontal epi-formArea">
<h4>50 latest requests</h4>
Filter on PageID: <%=Html.TextBox("Pageid",null)%> <%= Html.AcceptButton(new { value = "Filter/Update" })%>
</div>
<table class="epi-simple">
        <tr>
        <th>Page ID</th>
        <th>Requeste time (MS)</th>
        <th>IP</th>
        <th>Date</th>
        <th>Username</th>
        </tr>
     <% foreach (RequestMonitorGadget.Models.PageRequest request in Model.Requests)
        { %> 
        <tr> 
        <td><%=request.Pageid%></td>
        <td><%=request.Requesttime%></td>
        <td><%=request.Ip%></td>
        <td><%=request.date%></td>
        <td><%=request.Username%></td> 
        </tr>
        <% } %>  
</table>
<%Html.EndForm(); %>

